require 'spec_helper'

describe ImageMongerClient::PdfService do

  let(:pdf_service)   { ImageMongerClient::PdfService.new('url') }

  describe "#split" do

    let(:url_1)              {
      "http://image-monger.services.lokalebasen.dk/pdf/http%3A%2F%2Fwww.page.pdf/1"
    }
    let(:url_2)              {
      "http://image-monger.services.lokalebasen.dk/pdf/http%3A%2F%2Fwww.page.pdf/2"
    }
    let(:url_list_string)    { "[\"#{url_1}\", \"#{url_2}\"]" }
    let(:url_list)           { [url_1, url_2] }
    let(:converter_response) { double('converter_response', read: url_list_string) }

    before(:each) do
      pdf_service.stub(:open)       {converter_response}
      CGI.stub(:escape)             {'encoded_url'}
    end

    it "returns list of urls" do
      pdf_service.pages_as_image_urls.should eq(url_list)
    end
  end
end
